GET /api/fleet/cloud_connectors

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/cloud_connectors

Refer to Spaces for more information.

List all Fleet cloud connectors.

[Required authorization] Route required privileges: fleet-agent-policies-read OR integrations-read.

Query parameters

  • page string

    The page number for pagination.

  • perPage string

    The number of items per page.

  • kuery string

    KQL query to filter cloud connectors.

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • items array[object] Required

      Not more than 10000 elements.

      Hide items attributes Show items attributes object
      • accountType string
      • cloudProvider string Required
      • created_at string Required
      • id string Required
      • name string Required
      • namespace string
      • packagePolicyCount number Required
      • updated_at string Required
      • vars object Required
      • verification_failed_at string
      • verification_started_at string
      • verification_status string
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
GET /api/fleet/cloud_connectors
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/cloud_connectors' \
 --header "Authorization: $API_KEY"
Response examples (200)
List of Fleet cloud connectors
{
  "items": [
    {
      "accountType": "single-account",
      "cloudProvider": "aws",
      "created_at": "2024-01-15T10:00:00.000Z",
      "id": "cloud-connector-id-1",
      "name": "My AWS connector",
      "packagePolicyCount": 2,
      "updated_at": "2024-01-15T10:00:00.000Z",
      "vars": {}
    }
  ]
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}